<dialog aria-labelledby="fr-modal-transformInformation-title" id="transformInformationModal" class="fr-modal"
    role="dialog">
    <div class="fr-container fr-container--fluid fr-container-lg">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn"
                            aria-controls="transformInformationModal">Fermer</button>
                    </div>
                    <form method="post" action="{{ domain }}/action/transform/information" class="needs-validation"
                        novalidate>
                        <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                        <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                        <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                        <input type="hidden" name="email-number" id="email-number" value="" />
                        <div class="fr-modal__content">
                            <h1 id="fr-modal-transformInformation-title" class="fr-modal__title">
                                Transformer une information en contenu
                            </h1>
                            <div role="alert" class="fr-alert fr-alert--info">
                                <p class="fr-alert__title">Vous &ecirc;tes sur le point de transformer l'information <em></em> en contenu.<br />
                                    Confirmez-vous cette action ?
                                </p>
                            </div>
                            <div class="fr-select-group fr-mt-2w">
                                <label class="fr-label" for="information-category">Cat&eacute;gorie</label>
                                <select class="fr-select" id="information-category" name="information-category" required>
                                    <option value="" selected disabled hidden>Veuillez s&eacute;lectionner une cat&eacute;gorie</option>
                                    {% if categories|length > 0 %}
                                        {% for category in categories %}
                                            <option value="{{ category.id }}">{{ category.name }}</option>
                                        {% endfor %}
                                    {% else %}
                                        <option value="">Aucune cat&eacute;gorie, veuillez en cr&eacute;er une...</option>
                                    {% endif %}
                                </select>
                                <p id="information-category-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une cat&eacute;gorie.</p>
                            </div>
                        </div>
                        <div class="fr-modal__footer">
                            <ul
                                class="fr-btns-group fr-btns-group--right fr-btns-group--sm fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-left">
                                <li><button class="fr-btn fr-icon-checkbox-line" type="submit">Transformer</button></li>
                                <li><button class="fr-btn fr-icon-close-circle-line fr-btn--secondary"
                                        aria-controls="transformInformationModal">Annuler</button></li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</dialog>
